<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.fjhx.mail.mapper.personal.PersonalMailboxMapper">
    <select id="getPage" resultType="com.fjhx.mail.entity.personal.vo.PersonalMailboxVo">
        select
            pm.id,
            pm.mail_user,
            pm.mail_password,
            pm.type,
            pm.status,
            pm.sync_status,
            pm.default_status,
            pm.receive_host,
            pm.receive_port,
            pm.receive_protocol,
            pm.send_host,
            pm.send_port,
            pm.send_protocol,
            pm.user_id,
            pm.create_user,
            pm.create_time,
            pm.update_user,
            pm.update_time
        from personal_mailbox pm
            ${ew.customSqlSegment}
    </select>

</mapper>
